Subject: [drinks] TLS Client CertificateRequest?

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 1 Feb 2012 18:29:32 +0000

I wasn't able to attend today's interim meeting, so I apologize if this topic has been addressed in the past. I found and read this thread in the archives:

http://www.ietf.org/mail-archive/web/drinks/current/msg00980.html

I've been reading through 6461 and the framework and protocol drafts. Section 5 of 6461 notes that "Such frameworks and protocols MUST specify mechanisms to authenticate and authorize any entity that provisions data into the registry, i.e., that the entity is who it says it is and is allowed to use the provisioning interface." Section 4.4 of the framework draft say that "the SPPF transport protocol MUST provide means for an SPPF server to authenticate an SPPF Client".

Sections 5 and 10.1 of the protocol draft include text that describes how these requirements will be met. I see MUSTs for HTTPS, but no mention of a need for the server to request a certificate from a client. Are servers required to send a TLS CertificateRequest message as part of the handshake protocol? The means is there, but it doesn't appear that the protocol includes a requirement for a server to authenticate a client at the TLS level.

Scott

---

From: Dean Willis <[email-masked]>
Date: Wed, 8 Feb 2012 08:57:16 -0600

> Sections 5 and 10.1 of the protocol draft include text that describes how these requirements will be met. I see MUSTs for HTTPS, but no mention of a need for the server to request a certificate fro…

Nope. Basic or Digest authentication over HTTPS is considered good enough. There's no requirement for the client to have or present a cert.

--
Dean

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 8 Feb 2012 18:33:40 +0000

> -----Original Message-----
> From: Dean Willis [mailto:[email-masked]]
> Sent: Wednesday, February 08, 2012 9:57 AM
> To: Hollenbeck, Scott
> Cc: [email-masked]
> Subject: Re: [drinks] TLS Client CertificateRequest?
> 
> 
> > Sections 5 and 10.1 of the protocol draft include text that describes
> how these requirements will be met. I see MUSTs for HTTPS, but no
> mention of a need for the server to request a certificate from a
> client. Are servers required to send a TLS CertificateRequest message
> as part of the handshake protocol? The means is there, but it doesn't
> appear that the protocol includes a requirement for a server to
> authenticate a client at the TLS level.
> 
> 
> Nope. Basic or Digest authentication over HTTPS is considered good
> enough. There's no requirement for the client to have or present a
> cert.

If that's the case, there's a risk of malicious clients consuming server-side resources to the point of denying service to legitimate clients. The risk should be identified in the security considerations section, perhaps as an additional paragraph in section 10.2. I'll suggest text if it helps.

Scott

---

From: "Bhatia, Vikas" <[email-masked]>
Date: Tue, 28 Feb 2012 09:48:38 -0500

Hello Scott,

Please provide the text that you would like to suggest pertaining to this aspect of Security Considerations.

Thanks,
Vikas

> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Hollenbeck, Scott
> Sent: Wednesday, February 08, 2012 1:34 PM
> To: Dean Willis
> Cc: [email-masked]
> If that's the case, there's a risk of malicious clients consuming
> server-side resources to the point of denying service to legitimate
> clients. The risk should be identified in the security considerations
> section, perhaps as an additional paragraph in section 10.2. I'll
> suggest text if it helps.
>
> Scott
> _______________________________________________
> drinks mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/drinks

This e-mail message is for the sole use of the intended recipient(s)and may
contain confidential and privileged information of Transaction Network Services.
Any unauthorised review, use, disclosure or distribution is prohibited. If you
are not the intended recipient, please contact the sender by reply e-mail and destroy all copies of the original message.

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 28 Feb 2012 16:05:49 +0000

Proposed text for section 10.2:

Sections 5 and 10.1 describe requirements for HTTPS support using TLS. The TLS handshake protocol requires certificate-based server authentication for all key exchange methods defined in RFC 5246 except DH_anon. Non-anonymous TLS servers can optionally request a certificate from a TLS client; that option is not a requirement for this protocol. This presents a denial of service risk in which unauthenticated clients can consume server CPU resources by creating TLS sessions. The risk is increased if the server supports client-initiated renegotiation. This risk can be mitigated by disabling client-initiated renegotiation on the server and by ensuring that other means (such as firewall access control lists) are used to restrict unauthenticated client access to servers.

I'm open to wordsmithing.

Scott

> From: Bhatia, Vikas [mailto:[email-masked]]
> Sent: Tuesday, February 28, 2012 9:49 AM
> To: Hollenbeck, Scott; Dean Willis
> Cc: [email-masked]
> Subject: RE: [drinks] TLS Client CertificateRequest?
> 
> Hello Scott,
> 
> are not the intended recipient, please contact the sender by reply e-
> mail and destroy all copies of the original message.